FIX::DatabaseConnectionPool< T > Class Template Reference

`#include <DatabaseConnectionPool.h>`

## Public Member Functions

| DatabaseConnectionPool (bool poolConnections)
T * | create (const DatabaseConnectionID &id)
bool | destroy (T *pConnection)

## Private Types

typedef std::pair< T *, int > | Connection
typedef std::map< DatabaseConnectionID, Connection > | Connections

## Private Attributes

Connections | m_connections
bool | m_poolConnections

## Detailed Description

### template<typename T>
class FIX::DatabaseConnectionPool< T >

Definition at line 52 of file DatabaseConnectionPool.h.

## Member Typedef Documentation

## Connection

template<typename T >

typedef std::pair<T*, int> FIX::DatabaseConnectionPool< T >::Connection

private

Definition at line 116 of file DatabaseConnectionPool.h.

## Connections

template<typename T >

typedef std::map<DatabaseConnectionID, Connection> FIX::DatabaseConnectionPool< T >::Connections

private

Definition at line 118 of file DatabaseConnectionPool.h.

## Constructor & Destructor Documentation

## DatabaseConnectionPool()

template<typename T >

FIX::DatabaseConnectionPool< T >::DatabaseConnectionPool | ( | bool | poolConnections | ) |

inline

Definition at line 72 of file DatabaseConnectionPool.h.

{

References FIX::DatabaseConnectionPool< T >::m_connections.

## Member Function Documentation

## create()

template<typename T >

T* FIX::DatabaseConnectionPool< T >::create | ( | const DatabaseConnectionID & | id | ) |

inline

Definition at line 75 of file DatabaseConnectionPool.h.

:
typedef std::pair<T*, int>
Connection;
typedef std::map<DatabaseConnectionID, Connection>
Connections;
Connections m_connections;
bool m_poolConnections;

## destroy()

template<typename T >

bool FIX::DatabaseConnectionPool< T >::destroy | ( | T * | pConnection | ) |

inline

Definition at line 89 of file DatabaseConnectionPool.h.

## Member Data Documentation

## m_connections

template<typename T >

Connections FIX::DatabaseConnectionPool< T >::m_connections

private

Definition at line 120 of file DatabaseConnectionPool.h.

Referenced by FIX::DatabaseConnectionPool< T >::DatabaseConnectionPool().

## m_poolConnections

template<typename T >

bool FIX::DatabaseConnectionPool< T >::m_poolConnections

private

Definition at line 121 of file DatabaseConnectionPool.h.

The documentation for this class was generated from the following file:

- DatabaseConnectionPool.h

FIX::DatabaseConnectionPool::Connections
std::map< DatabaseConnectionID, Connection > Connections
Definition: DatabaseConnectionPool.h:118
FIX::DatabaseConnectionPool::m_poolConnections
bool m_poolConnections
Definition: DatabaseConnectionPool.h:121
FIX::DatabaseConnectionPool::m_connections
Connections m_connections
Definition: DatabaseConnectionPool.h:120
FIX::DatabaseConnectionPool::Connection
std::pair< T *, int > Connection
Definition: DatabaseConnectionPool.h:116